/*
 * Copyright 2021 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.tomee.vestige.launcher;

import java.io.Serializable;
import java.util.Map;

/**
 * @author Gael Lalire
 */
public class JarMetaData implements Serializable {

    private static final long serialVersionUID = -2527969707241191105L;

    private String earEntryName;

    private Map<String, String> overrideByEntryName;

    public JarMetaData(final String earEntryName, final Map<String, String> overrideByEntryName) {
        this.earEntryName = earEntryName;
        this.overrideByEntryName = overrideByEntryName;
    }

    public String getEarEntryName() {
        return earEntryName;
    }

    public Map<String, String> getOverrideByEntryName() {
        return overrideByEntryName;
    }

}
