/*
 * Copyright 2021 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.openejb;

import java.io.File;
import java.net.URL;
import java.util.Map;

import org.apache.openejb.jee.Application;
import org.apache.xbean.finder.ResourceFinder;

/**
 * @author Gael Lalire
 */
public class AppModuleCreatorData {

    public Application application;

    public ResourceFinder finder;

    public URL appUrl;

    public String appId;
    
    public File appDir;

    public Map<String, URL> appDescriptors;

    public boolean applicationFound = false;

    public URL applicationXmlUrl;

    public ClassLoader parentClassLoader;

}
